ASP.NET 3.x- এ আপগ্রেড করুন

আমি বর্তমানে সচেতন যে ASP.NET 2.0 আউট এবং প্রায় এবং যে। নেট ফ্রেমওয়ার্ক এর 3.x সংস্করণ আছে।

.Net Framework এর সংস্করণ 3.x থেকে আমার ASP.NET ওয়েব সার্ভার আপগ্রেড করা সম্ভব?


আমি এটি চেষ্টা করেছি, যাইহোক, IIS (ASP.NET ট্যাব) ব্যবহার করার জন্য .Net ফ্রেমওয়ার্ক এর কোন সংস্করণটি নির্বাচন করার সময়, শুধুমাত্র সংস্করণ 1.1 এবং 2.0 শো।

এখানে কি কাজ আছে?

0
ro fr hi

6 উত্তর

যদি আমি 3.5 ইনস্টল করি এবং IIS সেটআপ ব্যবহার করতে হয় 2.0। আমি 3.5 বৈশিষ্ট্য ব্যবহার করতে সক্ষম হবো?

হা এটা ঠিক. আপনি IIS 2.0 এবং 3.5 উভয় সাইটের জন্য 2.0 এ সেট আছে, তারা উভয় একই CLR উপর চালানো হিসাবে। 3.5 2.0 এর চেয়ে ভিন্ন কম্পাইল পদ্ধতি ব্যবহার করে। এই সাইটের জন্য web.config ঘোষণা করা হয়। দেখুন এই এই পোস্টে আরো বিস্তারিত জানার জন্য পোস্ট করুন। কিন্তু উভয় 3.5 এবং 2.0 ASP.net সাইটের জন্য আইআইএস সেটআপ একরকম।

0
যোগ

নিশ্চিত, 3.5 redistributable ডাউনলোড, servre এটি ইনস্টল, এবং আপনি যেতে ভাল। .NET সংস্করণগুলি পাশাপাশি ইনস্টল করা যেতে পারে, তাই এটি "লেগ্যাসি" অ্যাপ্লিকেশানগুলি ব্যাহত করবে না।

http://www.microsoft.com/downloads/details.aspx?FamilyId=333325FD-AE52-4E35-B531-508D977D32A6&displaylang=en

0
যোগ

দুর্ভাগ্যবশত, বিবৃতি । NET সংস্করণগুলি পাশাপাশি ইনস্টল করা যেতে পারে, তাই এটি কোনও "লেগ্যাসি" অ্যাপ্লিকেশানগুলি ব্যাহত করবে না সম্পূর্ণভাবে সত্য নয় যদি আপনি 3.5 ইনস্টল করেন, তবে এটি 2.0 SP1 প্রয়োজন, যা লিগ্যাসি অ্যাপ্লিকেশনগুলি ব্যাহত করে যা 2.0 ব্যবহার করে এবং ওরাকল ডাটাবেস সার্ভারগুলিতে সংযোগ করে।

0
যোগ
আমি কেন জানি না, কিন্তু 2.0 এসপি 1 -কে ওরাকল সংযোগের সাথে সমস্যা হয়েছে, এটি বার বার আমাদের উপর মারা গেছে এবং এটির সাথে প্রয়োগ করেছে।
যোগ লেখক Lasse Vågsæther Karl, উৎস
কি ঠিক এটি ব্যাহত হয়? আমি আপগ্রেড করতে যাচ্ছি একটি 2.0 ইনস্টল 3.5 SP1
যোগ লেখক chris, উৎস

নতুন কাঠামো হল নেট 3.5, আপনার একটি নতুন সমাবেশ সিস্টেম থাকবে। কোরিয়ান, যদি আপনি Linq এর মত বৈশিষ্ট্যগুলি ব্যবহার করেন

নোট 3.5 নতুন সি # 3.0 কম্পাইলারের সাথে আসে

ASP.Net এখনও সংস্করণ 2.0

সুন্দর এবং বিভ্রান্তিকর নয় ;-)

আপনি .Net 3.5 SP1 থেকে সার্ভারে .Net ফ্রেমওয়ার্কটি আপগ্রেড করতে হবে, তবে আপনি এখনও ASP.Net 2.0 চালাচ্ছেন

0
যোগ

GateKiller,

.NET 3.0 এবং .NET 3.5 সিএলআর সংস্করণটি পরিবর্তন করে নি, তাই "এএসপি.NET 3.5 ব্যবহার করে" এমন একটি আরো জটিল জিনিস যে এটি প্রথম মত হওয়া উচিত বলে মনে হয়। প্রকৃতপক্ষে, আপনি এখনও 2.0 CLR এ চলছেন, কিন্তু আপনি C# 3.0 কম্পাইলার ব্যবহার করছেন এবং 3.5 লাইব্রেরির সাথে সংযোগ স্থাপন করছেন। এটি আপনার ওয়েব .config ফাইলে একটি গুচ্ছ যোগ একটি ASP.NET 3.5 প্রকল্প হয়ে মানে।

স্কট Hanselman বিশদ বর্ণনা একটি অসাধারণ ব্লগ পোস্ট আছে:

http://www.hanselman.com/blog/HowToSetAnIISApplicationOrAppPoolToUseASPNET35RatherThan20.aspx

0
যোগ

আপনি যে সংস্করণটি IIS- এ নির্বাচন করছেন সেটি হল CLR- এর ব্যবহার। CLR এর মাত্র দুটি সংস্করণ আছে। নোট ফ্রেমওয়ার্ক 3.5 CLR 2.0 এ রান করা হয়

0
যোগ